<!-- Extend Layout -->
@extends('layout.app_guest',['title' => $title])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">{{ $title }} </h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
          @if($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <form action="{{ route('layanan-aduan.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="row">
          <div class="col">
            <label for="nama">Nama</label>
              <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Pelapor" value="{{old('nama')}}" required>
            <label for="nomor_telepon">Nomor telepon yang dapat dihubungi</label>
              <input type="text" name="nomor_telepon" id="nomor_telepon" class="form-control" placeholder="Masukkan Nomor Telepon, Contoh 085xxxxx" value="{{old('nomor_telepon')}}" required>
            <label for="subjek">Subjek Laporan</label>
              <input type="text" name="subjek" id="subjek" class="form-control" placeholder="Masukkan Subjek Laporan" value="{{old('subjek')}}" required>
            <label for="lokasi">Lokasi permasalahan</label>
              <input type="text" name="lokasi" id="lokasi" class="form-control" placeholder="Masukkan Lokasi Laporan" value="{{old('lokasi')}}" required>
            <label for="kategori">Kategori</label>
              <select name="kategori" id="kategori" class="form-control select2">
                <option value="" disabled selected>Pilih Disini</option>
                <option value="Umum / Perlengkapan">Umum / Perlengkapan</option>
                <option value="Keuangan">Keuangan</option>
                <option value="Kemahasiswaan">Kemahasiswaan</option>
                <option value="Kepegawaian">Kepegawaian</option>
              </select>
            <label for="bukti_laporan">Masukkan Bukti laporan</label>
              <input type="file" name="bukti_laporan" id="bukti_laporan" class="form-control" value="{{old('bukti_laporan')}}" required>
            <label for="deskripsi_laporan">Deskripsi laporan</label>
              <textarea name="deskripsi_laporan" id="deskripsi_laporan" class="form-control"
              placeholder="Masukkan Deskripsi Laporan disini"></textarea>
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col py-3">
            <button type="submit" class="btn btn-primary">Submit</button>
          </div>
        </div>
      </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
