<!-- Extend Layout -->
@extends('layout.app_guest',['title' => 'Pengajuan DPU / DPA'])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">Pengajuan Kesediaan DPU / DPA</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
          @if($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <div class="alert alert-info alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
          <span >Pernah Menggunakan Layanan PINTU Untuk Pengajuan ? Coba Gunakan Fitur Cari. </span><a href="{{ route('layanan-dpudpa.cari') }}" class="btn btn-success btn-sm">Klik Disini</a>
        </div>
        <form action="{{ route('layanan-dpudpa.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="row">
          <div class="col">
            <label for="nim">NIM Mahasiswa</label>
            <input type="text" name="nim" id="nim" class="form-control" placeholder="Masukkan NIM Mahasiswa" value="{{old('nim')}}" required>
            <label for="nama">Nama Mahasiswa</label>
            <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Mahasiswa" value="{{old('nama')}}"  required>
            <label for="nomor_hp">Nomor Handphone Mahasiswa (WhatsApp)</label>
            <input type="text" name="nomor_hp" id="nomor_hp" class="form-control" placeholder="Masukkan Nomor Handphone Mahasiswa (WhatsApp)" value="{{old('nomor_hp')}}" required>
            <label for="email">Email Mahasiswa</label>
            <input type="text" name="email" id="email" class="form-control" placeholder="Masukkan Email Mahasiswa" value="{{old('email')}}" required>
            <label for="bagian">Bagian Lab:</label>
              <select class="form-control select2" style="width: 100%;" id="bagian" name="bagian">
                <option selected>Pilih Laboratorium</option>
                @foreach($bagian as $item)
                <option value="{{$item->id}}">{{$item->nama_bagian}}</option>
                @endforeach
                                                
              </select>
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpu">Dosen Pembimbing Utama</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpu" name="dosen_dpu">
                <option selected>Pilih Dosen Pembimbing Utama</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_dpu') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpa">Dosen Pembimbing Anggota</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpa" name="dosen_dpa">
                <option>Pilih Dosen Pembimbing Anggota</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_dpa') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <label for="judul_seminar_proposal">Judul Skripsi / Tugas Akhir</label>
            <input type="text" name="judul_seminar_proposal" id="judul_seminar_proposal" class="form-control" placeholder="Masukkan Judul Skripsi / Tugas Akhir yang Diajukan" value="{{old('judul_seminar_proposal')}}" required>
            <label for="file_transkrip">Transkrip Nilai (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="file_transkrip" id="file_transkrip" class="form-control" required>
          </div>
        </div>
        <div class="row">
          <div class="col py-3">
            <button type="submit" class="btn btn-primary">Submit</button>
          </div>
        </div>
      </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
