<!-- Extend Layout -->
@extends('layout.app')
<!-- Add Custom CSS -->
@push('css')
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

@endpush
<!-- Add Content Here -->
@section('content')
<!-- Include Sidebar -->
@include('layout.navbars.sidebar')
<div class="content-wrapper">
    <!-- Main content -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pengajuan Pemutihan</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Admin</a></li>
              <li class="breadcrumb-item active">Pengajuan Pemutihan</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <section class="content">
      <div class="card">
        <!-- /.card-header -->
        <div class="card-body">
          <div class="alert alert-info alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
            <span >CaseID Akan muncul ketika pengajuan telah diterima untuk menghindari data duplikat untuk mahasiswa yang sama.</span>
          </div>
          @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
          <table id="example1" class="table table-bordered table-striped">
            <thead>
            <tr>
              <th>CaseID</th>
              <th>Program Studi</th>
              <th>Mata Kuliah</th>
              <th>Dosen Pengampu</th>
              <th>Ruang Kuliah</th>
              <th>Tanggal</th>
              <th>Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($data as $datas)
            <tr>
              <td>@if($datas->status_operator === null)<span class="badge badge-warning">{{$datas->caseid}}</span> @elseif($datas->keterangan_operator != "0")<span class="badge badge-danger">{{$datas->caseid}}</span> @else <span class="badge badge-success">{{$datas->caseid}}</span>  @endif</td>
              <td>{{ $datas->program_studi }}</td>
              <td>{{ $datas->mata_kuliah }} </td>
              <td>{{ $datas->dosen_pengampu }} </td>
              <td>{{ $datas->ruang_kelas }} </td>
              <td>{{ $datas->tanggal_kelas }}</td>
              <td class="text-center">
                <form action="{{ route('layanan-pemutihan.selesai',['caseid'=>$datas->caseid]) }}" method="post">@csrf 
                <a class="btn btn-primary" data-toggle="modal" data-target="#MD{{ $datas->id }}">Details</a>
                @if($datas->status_operator == null) | <button type="submit" id="selesai" class="btn btn-success">Selesai</button> | <a class="btn btn-danger" data-toggle="modal" data-target="#Delete{{ $datas->id }}">Tolak</a>@endif
                </form>
              </td>
            </tr>
            <!-- /.modal-Delete -->
            <div class="modal fade" id="Delete{{$datas->id}}">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <div class="modal-header">
                    <h4 class="modal-title">Apa Anda Yakin Menolak Pengajuan Pemutihan <b>{{ $datas->caseid }}</b> ?</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <div class="alert alert-info alert-dismissible">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                      <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
                      <span >Alasan yang Dimasukkan Disini, Akan dikirimkan melalui Email Kepada Mahasiswa Terkait.</span>
                    </div>
                  <form action="{{ route('layanan-pemutihan.tolak',$datas->caseid) }}" method="post">
                    @csrf
                      <input type="hidden" name="id" value="{{$datas->id}}">
                      <div class="row">
                        <div class="col">
                          <label for="keterangan_operator">Alasan:</label>
                          <textarea name="keterangan_operator" class="form-control" id="keterangan_operator" cols="30" rows="10" 
                          placeholder="Masukkan Alasan Disini
                          Masukkan Alasan Disini"></textarea>
                          <input type="hidden" name="id" value="{{$datas->id}}">
                        </div>
                      </div>
                  </div>
                  <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-danger">Kirim</button>
                  </form>
                  </div>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>
            <!-- Modal Detail dan Terima -->
            <div class="modal fade" id="MD{{$datas->id}}">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <div class="modal-header">
                    <h4 class="modal-title">Details Data <b>{{ $datas->caseid }}</b></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                  <div class="row">
                    <div class="col">
                      <label for="program_studi">Program Studi:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->program_studi }}">
                      <label for="jam_kelas">Jam Kelas:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->jam_kelas }}">
                      <label for="ruang_kelas">Ruang Kelas:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->ruang_kelas }}">
                    </div>
                    <div class="col">
                      <label for="mata_kuliah">Mata Kuliah:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->mata_kuliah }}">
                      <label for="tanggal_kelas">Tanggal Kelas:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->tanggal_kelas }}">
                      <label for="bukti_izin_dosen">Bukti Izin Dosen:</label><br/>
                      <a href="{{asset('storage')}}/pemutihan/{{ $datas->bukti_izin_dosen }}" target="_blank" class="btn btn-success">Klik Disini</a>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col">
                      <label for="dosen_pengampu">Dosen Pengampu: {{ $datas->ttd_dosen === '-' ? 'Belum Tanda Tangan' : 'Telah TTD Pada '.$datas->ttd_dosen }}</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->dosen_pengampu }}">
                      <label for="jurnal_kuliah">Jurnal Kuliah:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->jurnal_kuliah }}">
                      <label for="alasan">Alasan Pemutihan:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->alasan }}">
                      <label for="keterangan">Keterangan:</label>
                      <textarea name="keterangan" id="keterangan" cols="30" rows="10" class="form-control form-control-border" readonly>
{{ $datas->keterangan }}
                      </textarea>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col">
                      <label for="file_transkrip">Cetak Surat Pernyataan<br>
                        <a href="{{ route('layanan-pemutihan.cetak',['caseid'=>$datas->caseid]) }}" target="_blank" class="btn btn-success">Klik Disini</a>
                    </div>
                  </div>
                  @if($datas->status_operator == null)
                    <div class="row mt-3">
                      <div class="col">
                          <form action="{{ route('layanan-pemutihan.selesai',['caseid'=>$datas->caseid]) }}" method="post">
                          @csrf
                          <input type="hidden" name="caseid" value="{{$datas->caseid}}">
                          <button type="submit" id="selesai" class="btn btn-success btn-block">Selesai</button>
                          </form>
                      </div>
                    </div>
                    @endif
                  </div>
                  <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
                    <span>{{$datas->caseid}}</span>
                    @if($datas->ttd_operator=="-")
                      <form action="{{ route('layanan-sempro.terima')}}" method="post">
                      @csrf
                      <input type="hidden" name="id" value="{{$datas->id}}">
                      <button type="submit" class="btn btn-success">Terima</button>
                      </form>
                    @endif
                  </form>
                  </div>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>
            
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <th>CaseID</th>
                <th>Program Studi</th>
                <th>Mata Kuliah</th>
                <th>Dosen Pengampu</th>
                <th>Ruang Kuliah</th>
                <th>Tanggal</th>
                <th>Action</th>
              </tr>
            </tfoot>
          </table>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </section>
    <!-- /.content -->
</div>
@endsection

<!-- Add Custom JS -->
@push('js')
<!-- DataTables  & Plugins -->
<script src="{{asset('/')}}plugins/datatables/jquery.dataTables.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/jszip/jszip.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/pdfmake.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/vfs_fonts.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "order": [[6, 'desc']],
      "buttons": [{
            // New button configuration
            text: 'Tambah Data', // Replace with your desired button text
            action: function ( e, dt, node, config ) {
                // Perform your custom action here, e.g., open a new tab with the external link
                window.open("{{ route('layanan-pemutihan.tambah')}}", '_blank');
            }
        },"csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

  });
</script>
@endpush

