<!-- Extend Layout -->
@extends('layout.app_guest',['title' => $title])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">{{$title}}</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <form action="{{ route('layanan-pemutihan.store') }}" method="post" enctype="multipart/form-data">
        @csrf
          <div class="row">
            <div class="col">
                <label for="mata_kuliah">Nama Mata Kuliah: </label>
                <input type="text" name="mata_kuliah" id="mata_kuliah" class="form-control" placeholder="Masukkan Nama Mata Kuliah..." required>
                <label for="ruang_kelas">Nama Ruang Kelas: </label>
                <input type="text" name="ruang_kelas" id="ruang_kelas" class="form-control" placeholder="Masukkan Nama Ruang Kelas..." required>
                <label for="jurnal_kuliah">Jurnal Kuliah: </label>
                <input type="text" name="jurnal_kuliah" id="jurnal_kuliah" class="form-control" placeholder="Masukkan Nama Jurnal Kuliah..." required>
              <!-- /.form-group -->
            </div>
          </div>
          <div class="row">
            <div class="col">
                <label for="dosen_pengampu">Dosen Pengampu Mata Kuliah: </label>
                <select class="form-control select2" style="width: 100%;" id="dosen_pengampu" name="dosen_pengampu" required>
                  <option selected>Pilih Dosen Pengampu Mata Kuliah: </option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ old('dosen_pengampu') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
                <label for="program_studi">Pilih Program Studi :</label>
                <select class="form-control select2" style="width: 100%;" id="program_studi" name="program_studi" required>
                  <option value="" selected disabled>Pilih Program Studi: </option>
                  <option value="S1 Farmasi" {{ old('program_studi') === "S1 Farmasi" ? 'selected' : '' }}>S1 Farmasi</option>
                  <option value="S2 Farmasi" {{ old('program_studi') === "S2 Farmasi" ? 'selected' : '' }}>S2 Farmasi</option>
                  <option value="PSPPA" {{ old('program_studi') === "PSPPA" ? 'selected' : '' }}>PSPPA</option>
                </select>
            </div>
          </div>
          <!-- /.row -->
          <div class="row">
            <div class="col">
                <label for="tanggal_kelas">Hari/Tanggal Perkuliahan: </label>
                <input type="date" class="form-control" required name="tanggal_kelas">
                <label for="jam_kelas">Jam Perkuliahan: </label>
                <input type="time" class="form-control" required name="jam_kelas">
                <label for="alasan">Alasan Pemutihan: </label>
                <input type="text" class="form-control" required name="alasan" id="alasan" placeholder="Alasan Pemutihan, Contoh : Pemadaman Listrik/ Gagal Koneksi Ke jaringan/ Lain lain...">
                <label for="keterangan">Keterangan: </label>
                <textarea name="keterangan" id="keterangan" cols="30" rows="10" class="form-control" required placeholder="Nama mahasiswa yg Gagal Absen, Contoh:
Nama - NIM
Nama - NIM"></textarea>
                <label for="bukti_pemutihan">Upload Bukti Pemutihan: *(File JPG/PDF, Maks 4Mb)</label>
                <input type="file" name="bukti_pemutihan" id="bukti_pemutihan" class="form-control" required>
            </div>
          </div>
          <div class="row">
            <div class="col py-3">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
          </div>
      </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
@push('js')
<script>
  //Date and time picker
  $('#reservationdatetime').datetimepicker({ icons: { time: 'far fa-clock' } });
</script>
@endpush
