<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ $title }} {{$jenis}}</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="{{asset('/')}}plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="{{asset('/')}}dist/css/adminlte.min.css?v=3.2.0">
<body class="hold-transition layout-top-nav">
    
<div class="content-wrapper">
    <div class="content-header">
        <div class="container">
            <div class="text-center">
                <h1 class="m-0"> {{ $title }} {{$jenis}}</h1>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="container">
            <div class="card card-widget widget-user">
                <div class="widget-user-header text-white" style="background: url('{{asset('/')}}dist/img/photo1.png') center center;">
                    <h3 class="widget-user-username text-right">{{$data->caseid}}</h3>
                    <h5 class="widget-user-desc text-right">{{$jenis}}</h5>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-sm-4 border-right">
                            <div class="description-block" style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">CaseID</h5>
                                <span class="description-text">{{$data->caseid}}</span>
                            </div>
                        </div>
                    <div class="col-sm-4 border-right">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">Nama Mahasiswa</h5>
                            <span class="description-text">{{ $data->nama}}</span>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">Tanda Tangan Oleh</h5>
                            <span class="description-text">{{ $data->dosen_dpu_nama_gelar }}</span>
                        </div>
                    </div>
                    </div>
                </div>
                <div class="card-body">
                    @if(session('success'))
                        <div class="alert alert-success">
                            <ul>
                                <li>{{ session('success') }}</li>
                            </ul>
                        </div>
                        @endif
                        @if(session('error'))
                        <div class="alert alert-danger">
                            <ul>
                                <li>{{ session('error') }}</li>
                            </ul>
                        </div>
                    @endif
                    <form action="{{ route('layanan-sempro.submitettd',[ 'caseid'=>$data->caseid]) }}" method="post">
                    @csrf
                    <label for="caseid">CASEID :</label>
                    <input type="text" name="caseid" id="caseid" class="form-control" readonly value="{{ $data->caseid}}">
                    <label for="nama">Nama Mahasiswa :</label>
                    <input type="text" name="nama" id="nama" class="form-control" readonly value="{{ $data->nama}}">
                    <label for="nim">NIM Mahasiswa :</label>
                    <input type="text" name="nim" id="nim" class="form-control" readonly value="{{ $data->nim}}">
                    <label for="judul_seminar_proposal">Judul Skripsi :</label>
                    <input type="text" name="judul_seminar_proposal" id="judul_seminar_proposal" class="form-control" readonly value="{{ $data->judul_seminar_proposal}}">
                    <label for="ettd">Masukkan E-TTD {{ $jenis }} :
                    </label><input type="text" name="ettd" id="ettd" class="form-control" placeholder="Masukkan ETTD Anda Disini...">
                    
                    <div class="float-right mt-4">
                         <button type="submit" class="btn btn-success">Submit</button>
                    </div>
                    </form>
                </div>
                    
            </div>
        </div>
    </div>
</div>


@include('layout.navbars.footer')
</div>



<script src="{{asset('/')}}plugins/jquery/jquery.min.js"></script>

<script src="{{asset('/')}}plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

<script src="{{asset('/')}}dist/js/adminlte.min.js?v=3.2.0"></script>

</body>
</html>
