<!-- Extend Layout -->
@extends('layout.app_guest',['title' => 'Pengajuan Seminar Proposal'])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">Pengajuan Seminar Proposal</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <div class="alert alert-info alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
          <span >Pernah Menggunakan Layanan PINTU Untuk Pengajuan ? Coba Gunakan Fitur Cari. </span><a href="{{ route('layanan-sempro.cari') }}" class="btn btn-success btn-sm">Klik Disini</a>
        </div>
        <form action="{{ route('layanan-sempro.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        @if(isset($data_mahasiswa))
        <input type="hidden" name="status" value="ada">
        <!-- DATA MHS -->
        <div class="row">
          <div class="col">
            <label for="nim">NIM Mahasiswa</label>
            <input type="text" name="nim" id="nim" class="form-control" placeholder="Masukkan NIM Mahasiswa" value="{{$data_mahasiswa->nim}}" required readonly>
            <label for="nama">Nama Mahasiswa</label>
            <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Mahasiswa" value="{{$data_mahasiswa->nama}}"  required readonly>
            <label for="nomor_hp">Nomor Handphone Mahasiswa (WhatsApp)</label>
            <input type="text" name="nomor_hp" id="nomor_hp" class="form-control" placeholder="Masukkan Nomor Handphone Mahasiswa (WhatsApp)" value="{{$data_mahasiswa->nomor_hp}}" required readonly>
            <label for="email">Email Mahasiswa</label>
            <input type="text" name="email" id="email" class="form-control" placeholder="Masukkan Email Mahasiswa" value="{{$data_mahasiswa->email}}" required readonly>
            <label for="bagian">Bagian Lab: </label>
              <select class="form-control select2" style="width: 100%;" id="bagian" name="bagian" readonly>
                <option>Pilih Laboratorium</option>
                @foreach($bagian as $item)
                <option value="{{$item->id}}" {{ $data_mahasiswa->bagian === strval($item->id) ? 'selected' : '' }}>{{$item->nama_bagian}}</option>
                @endforeach               
              </select>
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpu">Dosen Pembimbing Utama</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpu" name="dosen_dpu" readonly>
                <option selected>Pilih Dosen Pembimbing Utama</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ $data_mahasiswa->dosen_dpu_id === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpa">Dosen Pembimbing Anggota</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpa" name="dosen_dpa" readonly>
                <option>Pilih Dosen Pembimbing Anggota</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ $data_mahasiswa->dosen_dpa_id === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <label for="judul_seminar_proposal">Judul Skripsi / Tugas Akhir</label>
            <input type="text" name="judul_seminar_proposal" id="judul_seminar_proposal" class="form-control" placeholder="Masukkan Judul Skripsi / Tugas Akhir yang Diajukan" value="{{$data_mahasiswa->judul_seminar_proposal}}" required readonly>
          </div>
        </div>
        @else
        <!-- DATA MHS -->
        <div class="row">
          <div class="col">
            <label for="nim">NIM Mahasiswa</label>
            <input type="text" name="nim" id="nim" class="form-control" placeholder="Masukkan NIM Mahasiswa" value="{{old('nim')}}" required>
            <label for="nama">Nama Mahasiswa</label>
            <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Mahasiswa" value="{{old('nama')}}"  required>
            <label for="nomor_hp">Nomor Handphone Mahasiswa (WhatsApp)</label>
            <input type="text" name="nomor_hp" id="nomor_hp" class="form-control" placeholder="Masukkan Nomor Handphone Mahasiswa (WhatsApp)" value="{{old('nomor_hp')}}" required>
            <label for="email">Email Mahasiswa</label>
            <input type="text" name="email" id="email" class="form-control" placeholder="Masukkan Email Mahasiswa" value="{{old('email')}}" required>
            <label for="bagian">Bagian Lab:</label>
              <select class="form-control select2" style="width: 100%;" id="bagian" name="bagian">
                <option selected>Pilih Laboratorium</option>
                <option value="1">Farmasi Klinik Dan Komunitas</option>
                <option value="2">Farmakologi Dan Hewan Coba</option>
                <option value="3">Farmakognosi dan Fitokimia</option>
                <option value="4">Mikrobiologi dan Bioteknologi Farmasi</option>
                <option value="5">Farmasetika</option>
                <option value="6">Teknologi Farmasi</option>
                <option value="7">Kimia Analisis</option>
                <option value="8">Kimia Medisinal</option>                 
              </select>
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpu">Dosen Pembimbing Utama</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpu" name="dosen_dpu">
                <option selected>Pilih Dosen Pembimbing Utama</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_dpu') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <div class="col">
            <div class="form-group">
              <label for="dosen_dpa">Dosen Pembimbing Anggota</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_dpa" name="dosen_dpa">
                <option>Pilih Dosen Pembimbing Anggota</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_dpa') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <label for="judul_seminar_proposal">Judul Skripsi / Tugas Akhir</label>
            <input type="text" name="judul_seminar_proposal" id="judul_seminar_proposal" class="form-control" placeholder="Masukkan Judul Skripsi / Tugas Akhir yang Diajukan" value="{{old('judul_seminar_proposal')}}" required>
          </div>
        </div>
        @endif
        
        <div class="row">
          <div class="col">
            <div class="form-group">
              <label for="dosen_penguji1">Dosen Penguji Utama</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_penguji1" name="dosen_penguji1">
                <option selected>Pilih Dosen Penguji Utama</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_penguji1') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <div class="col">
            <div class="form-group">
              <label for="dosen_penguji2">Dosen Penguji Anggota</label>
              <select class="form-control select2" style="width: 100%;" id="dosen_penguji2" name="dosen_penguji2">
                <option>Pilih Dosen Penguji Anggota</option>
                @foreach ($dosen as $item)
                <option value="{{$item->id}}" {{ old('dosen_penguji2') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                @endforeach
              </select>
            </div>
            <!-- /.form-group -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
        <div class="row">
          <div class="col">
            <label for="nilai_plagiasi">Nilai Plagiasi / Similarity Sempro</label>
            <input type="number" class="form-control" name="nilai_plagiasi" placeholder="Masukkan Nilai Plagiasi / Similarity Sempro" required>
            <label for="bukti_hadir_sempro">Bukti Screenshot Kehadiran Seminar Proposal (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file"  name="bukti_hadir_sempro" id="bukti_hadir_sempro" class="form-control" required>
            <label for="bukti_turnitin">Bukti Cek TurnitIn (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="bukti_turnitin" id="bukti_turnitin" class="form-control" required>
            <label for="bukti_sister">Bukti Screenshot Sister (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="bukti_sister" id="bukti_sister" class="form-control" required>
            <label for="bukti_lembar_monitoring">Bukti Lembar Monitoring (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="bukti_lembar_monitoring" id="bukti_lembar_monitoring" class="form-control" required>
            <label for="bukti_naskah_dosen_pembimbing">Bukti Pengiriman Naskah Ke Dosen Pembimbing (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="bukti_naskah_dosen_pembimbing" id="bukti_naskah_dosen_pembimbing" class="form-control" required>
            <label for="bukti_naskah_dosen_penguji">Bukti Pengiriman Naskah Ke Dosen Penguji (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
            <input type="file" name="bukti_naskah_dosen_penguji" id="bukti_naskah_dosen_penguji" class="form-control" required>
          </div>
        </div>
        <div class="row">
          <div class="col py-3">
            <button type="submit" class="btn btn-primary">Submit</button>
          </div>
        </div>
      </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
