<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ $title }} {{$jenis}}</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="{{asset('/')}}plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="{{asset('/')}}dist/css/adminlte.min.css?v=3.2.0">
<body class="hold-transition layout-top-nav">
    
<div class="content-wrapper">
    <div class="content-header">
        <div class="container">
            <div class="text-center">
                <h1 class="m-0">Pengajuan Layanan Wisuda</h1>
                <h1 class="m-0">{{ $title }} {{$jenis}}</h1>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="container">
            <div class="card card-widget widget-user">
                <div class="widget-user-header text-white" style="background: url('{{asset('/')}}dist/img/photo1.png') center center;">
                    <h3 class="widget-user-username text-right">{{$data->caseid}}</h3>
                    <h5 class="widget-user-desc text-right">{{$jenis}}</h5>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-sm-4 border-right">
                            <div class="description-block" style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">CaseID</h5>
                                <span class="description-text">{{$data->caseid}}</span>
                            </div>
                        </div>
                        <div class="col-sm-4 border-right">
                            <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">Nama Mahasiswa</h5>
                                <span class="description-text">{{ $data->nama}}</span>
                            </div>
                        </div>
                    @if(request('url')=="kalab" OR request('url')=="skpi")
                        <div class="col-sm-4">
                            <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">NIM</h5>
                                <span class="description-text">{{ $data->nim}}</span>
                            </div>
                        </div>
                    @else
                        <div class="col-sm-4">
                            <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">Tanda Tangan Oleh</h5>
                                <span class="description-text">
                                    @if(request('url')=="dpu") {{ $data->dosen_dpu_nama_gelar }} 
                                    @elseif(request('url')=="dpa") {{ $data->dosen_dpa_nama_gelar }} 
                                    @elseif(request('url')=="penguji1") {{ $data->dosen_penguji1_nama_gelar }}
                                    @elseif(request('url')=="penguji2") {{ $data->dosen_penguji2_nama_gelar }}
                                    @elseif(request('url')=="ruangbaca") {{ $nama_ettd->nama_gelar }}
                                    @elseif(request('url')=="wakildekan1") {{ $nama_ettd->nama_gelar }}
                                    @endif
                                </span>
                            </div>
                        </div>
                    @endif
                    </div>
                </div>
                <div class="card-body">
                    @if(session('success'))
                        <div class="alert alert-success">
                            <ul>
                                <li>{{ session('success') }}</li>
                            </ul>
                        </div>
                        @endif
                        @if(session('error'))
                        <div class="alert alert-danger">
                            <ul>
                                <li>{{ session('error') }}</li>
                            </ul>
                        </div>
                    @endif
                    <form action="{{ route('layanan-wisuda.submitettd',[ 'url'=> request('url'), 'caseid'=>$data->caseid]) }}" method="post">
                    @csrf
                    <label for="caseid">CASEID :</label>
                    <input type="text" name="caseid" id="caseid" class="form-control" readonly value="{{ $data->caseid}}">
                    <label for="nama">Nama Mahasiswa :</label>
                    <input type="text" name="nama" id="nama" class="form-control" readonly value="{{ $data->nama}}">
                    <label for="nim">NIM Mahasiswa :</label>
                    <input type="text" name="nim" id="nim" class="form-control" readonly value="{{ $data->nim}}">
                    <label for="judul_skripsi_id">Judul Skripsi Bahasa Indonesia:</label>
                    <input type="text" name="judul_skripsi_id" id="judul_skripsi_id" class="form-control" readonly value="{{ $data->judul_skripsi_id}}">
                    
                    @if(request('url')=="dpu" OR request('url')=="dpa" OR request('url')=="penguji1" OR request('url')=="penguji2")
                    <label for="judul_jurnal">File Skripsi:</label>
                    <a href="{{asset('storage')}}/{{ $data->nim }}/{{ $data->bukti_skripsi }}" target="_blank">
                        <input type="text" name="judul_jurnal" id="judul_jurnal" class="form-control btn btn-info" value="Lihat File {{ $data->bukti_skripsi}}">
                    </a>
                    @endif

                    @if(request('url')=="skpi")
                    <label for="user_ettd">Pilih Pengguna Yang Akan Melakukan ETTD:</label>
                        <select class="form-control select2" style="width: 100%;" id="user_ettd" name="user_ettd">
                            <option selected>Pilih Disini</option>
                            @foreach($nama_ettd as $item)
                            <option value="{{$item->id}}">{{$item->nip}} - {{$item->nama_gelar}}</option>
                            @endforeach
                        </select>
                    @elseif(request('url')=="kalab")
                    <label for="user_ettd">Pilih Jenis Tanda Tangan:</label>
                        <select class="form-control select2" style="width: 100%;" id="user_ettd" name="user_ettd">
                            <option selected>Pilih Disini</option>
                            <option value="Kalab. Farmasi Klinik dan Komunitas">Kalab. Farmasi Klinik dan Komunitas</option>
                            <option value="Kalab. Farmakologi dan Hewan Coba">Kalab. Farmakologi dan Hewan Coba</option>
                            <option value="Kalab. Farmakognosi dan Fitokimia">Kalab. Farmakognosi dan Fitokimia</option>
                            <option value="Kalab. Mikrobiologi dan Bioteknologi Farmasi">Kalab. Mikrobiologi dan Bioteknologi Farmasi</option>
                            <option value="Kalab. Farmasetika">Kalab. Farmasetika</option>
                            <option value="Kalab. Teknologi Farmasi">Kalab. Teknologi Farmasi</option>
                            <option value="Kalab. Kimia Analisis">Kalab. Kimia Analisis</option>
                            <option value="Kalab. Kimia Medisinal">Kalab. Kimia Medisinal</option>
                        </select>
                    @endif
                    <label for="ettd">Masukkan E-TTD {{ $jenis }} :
                    </label><input type="text" name="ettd" id="ettd" class="form-control" placeholder="Masukkan ETTD Anda Disini...">
                    <div class="float-right mt-4">
                         <button type="submit" class="btn btn-success">Submit</button>
                    </div>
                    </form>
                </div>
                    
            </div>
        </div>
    </div>
</div>


@include('layout.navbars.footer')
</div>



<script src="{{asset('/')}}plugins/jquery/jquery.min.js"></script>

<script src="{{asset('/')}}plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

<script src="{{asset('/')}}dist/js/adminlte.min.js?v=3.2.0"></script>

</body>
</html>
