<!-- Extend Layout -->
@extends('layout.app')
<!-- Add Custom CSS -->
@push('css')
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

@endpush
<!-- Add Content Here -->
@section('content')
<!-- Include Sidebar -->
@include('layout.navbars.sidebar')
<div class="content-wrapper">
    <!-- Main content -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pengajuan Syarat Wisuda</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Admin</a></li>
              <li class="breadcrumb-item active">Pengajuan Syarat Wisuda</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <section class="content">
      <div class="card">
        <!-- /.card-header -->
        <div class="card-body">
          <div class="alert alert-info alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
            <span >CaseID Akan muncul ketika pengajuan telah diterima untuk menghindari data duplikat untuk mahasiswa yang sama.</span>
          </div>
          @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
          <table id="example1" class="table table-bordered table-striped">
            <thead>
            <tr>
              <th>CaseID</th>
              <th>NIM</th>
              <th>Nama</th>
              <th>Dosen Pembimbing Utama</th>
              <th>Dosen Penguji Utama</th>
              <th>Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach ($data as $datas)
            <tr>
              <td>{{ $datas->caseid }}</td>
              <td>{{ $datas->nim }} </td>
              <td>{{ $datas->nama }} </td>
              <td>{{ $datas->dpu_nama_gelar }}</td>
              <td>{{ $datas->penguji1_nama_gelar }}</td>
              <td class="text-center">
                <button class="btn btn-primary" data-toggle="modal" data-target="#MD{{ $datas->id }}" >Details</button> | 
                @if($datas->ttd_operator=="-")
                <button class="btn btn-success" data-toggle="modal" data-target="#MD{{ $datas->id }}" >Terima</button> | 
                <button class="btn btn-danger" data-toggle="modal" data-target="#MDDelete{{ $datas->id }}" >Tolak</button>
                @endif
              </td>
            </tr>
            <!-- Modal Detail dan Terima -->
            <div class="modal fade" id="MD{{$datas->id}}">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <div class="modal-header">
                    <h4 class="modal-title">Details Data <b>{{ $datas->caseid }}</b></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                  <div class="row">
                    <div class="col">
                      <label for="nim">NIM:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->nim }}">
                      <label for="nama">Nama Mahasiswa:</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->nama }}">
                      <label for="dosen_dpu">Dosen Dosen Pembimbng Utama: {{ $datas->ttd_dpu === '-' ? 'Belum Tanda Tangan' : 'Telah TTD Pada '.$datas->ttd_dpu }}</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->dpa_nama_gelar }}">
                      <label for="dosen_dpu">Dosen Dosen Pembimbing Anggota: {{ $datas->ttd_dpa === '-' ? 'Belum Tanda Tangan' : 'Telah TTD Pada '.$datas->ttd_dpa }}</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->dpu_nama_gelar }}">
                      <label for="dosen_penguji1">Dosen Penguji Utama: {{ $datas->ttd_penguji1 === '-' ? 'Belum Tanda Tangan' : 'Telah TTD Pada '.$datas->ttd_penguji1 }}</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->penguji1_nama_gelar }}">
                      <label for="dosen_penguji2">Dosen Penguji Anggota: {{ $datas->ttd_penguji2 === '-' ? 'Belum Tanda Tangan' : 'Telah TTD Pada '.$datas->ttd_penguji2 }}</label>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->penguji2_nama_gelar }}">
                    </div>
                  </div>
                  <div class="row">
                    <div class="col">
                      <label for="judul_skripsi_id">Judul Skripsi :</label><br>
                      <input type="text" class="form-control form-control-border" readonly value="{{ $datas->judul_skripsi_id }}">
                    </div>
                  </div>
                  <div class="row">
                    <div class="col">
                      <label for="file_transkrip">Bukti Skripsi<br>
                        <a href="{{asset('storage')}}/{{ $datas->nim }}/{{ $datas->bukti_skripsi }}" target="_blank" class="btn btn-info">Klik Disini</a>
                    </div>
                    <div class="col">
                      <label for="file_transkrip">Bukti Sertifikat KKN<br>
                        <a href="{{asset('storage')}}/{{ $datas->nim }}/{{ $datas->bukti_kkn }}" target="_blank" class="btn btn-info">Klik Disini</a>
                    </div>
                    <div class="col">
                      <label for="file_transkrip">Bukti SPP<br>
                        <a href="{{asset('storage')}}/{{ $datas->nim }}/{{ $datas->bukti_spp }}" target="_blank" class="btn btn-info">Klik Disini</a>
                    </div>
                    <div class="col">
                      <label for="file_transkrip">Bukti Sertifikat TOEFL<br>
                        <a href="{{asset('storage')}}/{{ $datas->nim }}/{{ $datas->bukti_toefl }}" target="_blank" class="btn btn-info">Klik Disini</a>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col">
                      <label for="file_transkrip">Detail TTD<br>
                        <a href="{{ route('monitoring.caseid',['caseid'=>$datas->caseid]) }}" target="_blank" class="btn btn-success">Klik Disini</a>
                    </div>
                    <div class="col">
                      <label for="file_transkrip">Cetak Surat Pernyataan<br>
                        <a href="{{ route('layanan-wisuda.cetak',['caseid'=>$datas->caseid]) }}" target="_blank" class="btn btn-success">Klik Disini</a>
                    </div>
                  </div>
                  @if($datas->ttd_operator != '-')
                    <div class="row mt-3">
                      <div class="col">
                        <label for="resend">Kirim Ulang Email :</label>
                        <a href="{{ route('layanan-wisuda.resend') }}" class="btn btn-default btn-block">Kirim Ulang Email</a>
                      </div>
                    </div>
                  @endif
                  </div>
                  <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
                    <span>{{$datas->caseid}}</span>
                    @if($datas->ttd_operator=="-")
                      <form action="{{ route('layanan-wisuda.terima')}}" method="post">
                      @csrf
                      <input type="hidden" name="id" value="{{$datas->id}}">
                      <button type="submit" class="btn btn-success">Terima</button>
                      </form>
                    @endif
                  </form>
                  </div>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>
            <!-- /.modal-Delete -->
            <div class="modal fade" id="MDDelete{{$datas->id}}">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <div class="modal-header">
                    <h4 class="modal-title">Apa Anda Yakin Ingin Menghapus Data : <b>{{ $datas->caseid }}</b></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span>
                    </button>
                  </div>
                  <div class="modal-body">
                    <div class="alert alert-info alert-dismissible">
                      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                      <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
                      <span >Alasan yang Dimasukkan Disini, Akan dikirimkan melalui Email Kepada Mahasiswa Terkait.</span>
                    </div>
                  <form action="{{ route('layanan-wisuda.destroy') }}" method="post">
                  @csrf @method('DELETE')
                  <div class="row">
                    <div class="col">
                      <label for="alasan">Alasan:</label>
                      <textarea name="alasan" class="form-control" id="alasan" cols="30" rows="10" 
                      placeholder="Masukkan Alasan Disini
                      Masukkan Alasan Disini"></textarea>
                      <input type="hidden" name="id" value="{{$datas->id}}">
                    </div>
                  </div>
                  </div>
                  <div class="modal-footer justify-content-between">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-danger">Kirim</button>
                  </form>
                  </div>
                </div>
                <!-- /.modal-content -->
              </div>
              <!-- /.modal-dialog -->
            </div>
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <th>CaseID</th>
                <th>NIM</th>
                <th>Nama</th>
                <th>DPU</th>
                <th>Dosen Penguji Utama</th>
                <th>Action</th>
              </tr>
            </tfoot>
          </table>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </section>
    <!-- /.content -->
</div>
@endsection

<!-- Add Custom JS -->
@push('js')
<!-- DataTables  & Plugins -->
<script src="{{asset('/')}}plugins/datatables/jquery.dataTables.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/jszip/jszip.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/pdfmake.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/vfs_fonts.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": [{
            // New button configuration
            text: 'Tambah Data', // Replace with your desired button text
            action: function ( e, dt, node, config ) {
                // Perform your custom action here, e.g., open a new tab with the external link
                window.open("{{ route('layanan-wisuda.tambah')}}", '_blank');
            }
        },"csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

  });
</script>
@endpush

