<!-- Extend Layout -->
@extends('layout.app')
<!-- Add Custom CSS -->
@push('css')
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="{{asset('/')}}plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

@endpush
<!-- Add Content Here -->
@section('content')
<!-- Include Sidebar -->
@include('layout.navbars.sidebar')
<div class="content-wrapper">
    <!-- Main content -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Kirim Ulang Email Pengajuan Syarat Wisuda</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Admin</a></li>
              <li class="breadcrumb-item active">Kirim Ulang Email Pengajuan Syarat Wisuda</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <section class="content">
      <div class="card">
        <!-- /.card-header -->
        <div class="card-body">
          @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
          <table class="table table-hover text-nowrap">
            <thead>
              <tr>
                <th>No.</th>
                <th>Jenis URL</th>
                <th>URL</th>
                <th>Aksi</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>1</td>
                <td>Dosen Pembimbing Utama</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'dpu','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#dpu">Detail</button></td>
              </tr>
              <tr>
                <td>2</td>
                <td>Dosen Pembimbing Anggota</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'dpa','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#dpa">Detail</button></td>
              </tr>
              <tr>
                <td>3</td>
                <td>Dosen Penguji Utama</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'penguji1','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#penguji1">Detail</button></td>
              </tr>
              <tr>
                <td>4</td>
                <td>Dosen Penguji Anggota</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'penguji2','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#penguji2">Detail</button></td>
              </tr>
              <tr>
                <td>5</td>
                <td>Semua Kalab</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'kalab','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#kalab">Detail</button></td>
              </tr>
              <tr>
                <td>6</td>
                <td>Pj. SKPI</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'skpi','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#skpi">Detail</button></td>
              </tr>
              <tr>
                <td>7</td>
                <td>Pj. Ruang Baca</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'ruangbaca','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#ruangbaca">Detail</button></td>
              </tr>
              <tr>
                <td>8</td>
                <td>Wakil Dekan 1</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'wakildekan1','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#wakildekan1">Detail</button></td>
              </tr>
              <tr>
                <td>9</td>
                <td>Mahasiswa</td>
                <td>{{ route('layanan-wisuda.ettd',['url'=>'monitoring','caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#mahasiswa">Detail</button></td>
              </tr>
              <tr>
                <td>9</td>
                <td>Mahasiswa Selesai</td>
                <td>{{ route('layanan-wisuda.cetak',['caseid'=>'LYXXXX']) }}</td>
                <td><button class="btn btn-info" data-toggle="modal" data-target="#mahasiswaselesai">Detail</button></td>
              </tr>
            </tbody>
          </table>
          <!-- MODAL DPU-->
          <div class="modal fade" id="dpu">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Dosen Pembimbing Utama</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="dpu">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL DPA-->
          <div class="modal fade" id="dpa">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Dosen Pembimbing Anggota</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="dpa">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL penguji1-->
          <div class="modal fade" id="penguji1">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Dosen Penguji Utama</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="penguji1">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL penguji2-->
          <div class="modal fade" id="penguji2">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Dosen Penguji Anggota</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="penguji2">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL Kalab-->
          <div class="modal fade" id="kalab">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Kepala Laboratorium</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="kalab">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL skpi-->
          <div class="modal fade" id="skpi">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Pj. SKPI</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="skpi">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL Ruang Baca-->
          <div class="modal fade" id="ruangbaca">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Pj. Ruang Baca / Pj. Perpustakaan</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="perpustakaan">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL Wakil Dekan 1-->
          <div class="modal fade" id="wakildekan1">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Wakil Dekan 1</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="wakildekan1">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL Mahasiswa-->
          <div class="modal fade" id="mahasiswa">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Mahasiswa</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="mahasiswa">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- MODAL Mahasiswa-->
          <div class="modal fade" id="mahasiswaselesai">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Kirim Ulang Email Ke Mahasiswa Selesai</b></h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                <form action="{{ route('layanan-wisuda.resendsubmit') }}" method="post">
                @csrf
                <input type="hidden" name="jenis" value="mahasiswa selesai">
                <div class="row">
                  <div class="col">
                    <label for="caseid">Pilih CaseID : </label>
                    <select name="caseid" id="caseid" class="form-control select2">
                      <option>Pilih CaseID Disini</option>
                      @foreach($data as $item)
                      <option value="{{$item->id}}">{{$item->caseid}} - {{$item->nama}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                </div>
                <div class="modal-footer justify-content-between">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                  <button type="submit" class="btn btn-danger">Kirim</button>
                </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </section>
    <!-- /.content -->
</div>
@endsection

<!-- Add Custom JS -->
@push('js')
<!-- DataTables  & Plugins -->
<script src="{{asset('/')}}plugins/datatables/jquery.dataTables.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="{{asset('/')}}plugins/jszip/jszip.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/pdfmake.min.js"></script>
<script src="{{asset('/')}}plugins/pdfmake/vfs_fonts.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="{{asset('/')}}plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": [{
            // New button configuration
            text: 'Tambah Data', // Replace with your desired button text
            action: function ( e, dt, node, config ) {
                // Perform your custom action here, e.g., open a new tab with the external link
                window.open("{{ route('layanan-wisuda.tambah')}}", '_blank');
            }
        },"csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

  });
</script>
@endpush

