<!-- Extend Layout -->
@extends('layout.app_guest',['title' => 'Pengajuan Syarat Wisuda'])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">Pengajuan Syarat Wisuda</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <div class="alert alert-info alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <h5><i class="icon fas fa-info"></i> Perhatian!</h5>
          <span >Pernah Menggunakan Layanan PINTU Untuk Pengajuan ? Coba Gunakan Fitur Cari. </span><a href="{{ route('layanan-wisuda.cari') }}" class="btn btn-success btn-sm">Klik Disini</a>
        </div>
        <form action="{{ route('layanan-wisuda.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        @if(isset($data_mahasiswa))
          <input type="hidden" name="status" value="ada">
          <!-- DATA MHS -->
          <div class="row">
            <div class="col">
              <label for="nim">NIM Mahasiswa</label>
              <input type="text" name="nim" id="nim" class="form-control" placeholder="Masukkan NIM Mahasiswa" value="{{$data_mahasiswa->nim}}" required readonly>
              <label for="nama">Nama Mahasiswa</label>
              <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Mahasiswa" value="{{$data_mahasiswa->nama}}"  required readonly>
              <label for="nomor_hp">Nomor Handphone Mahasiswa (WhatsApp)</label>
              <input type="text" name="nomor_hp" id="nomor_hp" class="form-control" placeholder="Masukkan Nomor Handphone Mahasiswa (WhatsApp)" value="{{$data_mahasiswa->nomor_hp}}" required readonly>
              <label for="email">Email Mahasiswa</label>
              <input type="text" name="email" id="email" class="form-control" placeholder="Masukkan Email Mahasiswa" value="{{$data_mahasiswa->email}}" required readonly>
              <label for="bagian">Bagian Lab: </label>
                <select class="form-control select2" style="width: 100%;" id="bagian" name="bagian" readonly>
                  <option>Pilih Laboratorium</option>
                  @foreach($bagian as $item)
                  <option value="{{$item->id}}" {{ $data_mahasiswa->bagian === strval($item->id) ? 'selected' : '' }}>{{$item->nama_bagian}}</option>
                  @endforeach               
                </select>
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
          <div class="row">
            <div class="col">
              <div class="form-group">
                <label for="dosen_dpu">Dosen Pembimbing Utama</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_dpu" name="dosen_dpu" readonly>
                  <option selected>Pilih Dosen Pembimbing Utama</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ $data_mahasiswa->dosen_dpu_id === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <div class="col">
              <div class="form-group">
                <label for="dosen_dpa">Dosen Pembimbing Anggota</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_dpa" name="dosen_dpa" readonly>
                  <option>Pilih Dosen Pembimbing Anggota</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ $data_mahasiswa->dosen_dpa_id === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        @else
        <!-- DATA MHS -->
          <div class="row">
            <div class="col">
              <label for="nim">NIM Mahasiswa</label>
              <input type="text" name="nim" id="nim" class="form-control" placeholder="Masukkan NIM Mahasiswa" value="{{old('nim')}}" required>
              <label for="nama">Nama Mahasiswa</label>
              <input type="text" name="nama" id="nama" class="form-control" placeholder="Masukkan Nama Mahasiswa" value="{{old('nama')}}"  required>
              <label for="nomor_hp">Nomor Handphone Mahasiswa (WhatsApp)</label>
              <input type="text" name="nomor_hp" id="nomor_hp" class="form-control" placeholder="Masukkan Nomor Handphone Mahasiswa (WhatsApp)" value="{{old('nomor_hp')}}" required>
              <label for="email">Email Mahasiswa</label>
              <input type="text" name="email" id="email" class="form-control" placeholder="Masukkan Email Mahasiswa" value="{{old('email')}}" required>
              <label for="bagian">Bagian Lab:</label>
                <select class="form-control select2" style="width: 100%;" id="bagian" name="bagian">
                  <option selected>Pilih Laboratorium</option>
                  @foreach($bagian as $item)
                  <option value="{{$item->id}}">{{$item->nama_bagian}}</option>
                  @endforeach                  
                </select>
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
          <div class="row">
            <div class="col">
              <div class="form-group">
                <label for="dosen_dpu">Dosen Pembimbing Utama</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_dpu" name="dosen_dpu">
                  <option selected>Pilih Dosen Pembimbing Utama</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ old('dosen_dpu') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <div class="col">
              <div class="form-group">
                <label for="dosen_dpa">Dosen Pembimbing Anggota</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_dpa" name="dosen_dpa">
                  <option>Pilih Dosen Pembimbing Anggota</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ old('dosen_dpa') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
        @endif
        
          <div class="row">
            <div class="col">
              <div class="form-group">
                <label for="dosen_penguji1">Dosen Penguji Utama</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_penguji1" name="dosen_penguji1">
                  <option selected>Pilih Dosen Penguji Utama</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ old('dosen_penguji1') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <div class="col">
              <div class="form-group">
                <label for="dosen_penguji2">Dosen Penguji Anggota</label>
                <select class="form-control select2" style="width: 100%;" id="dosen_penguji2" name="dosen_penguji2">
                  <option>Pilih Dosen Penguji Anggota</option>
                  @foreach ($dosen as $item)
                  <option value="{{$item->id}}" {{ old('dosen_penguji2') === $item->id ? 'selected' : '' }}>{{ $item->nama_gelar }}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
          </div>
        <!-- /.row -->
        
          <div class="row">
            <div class="col">
              <label for="judul_skripsi_id">Judul Skripsi / Tugas Akhir Dalam Bahasa Indonesia :</label>
              <input type="text" name="judul_skripsi_id" id="judul_skripsi_id" class="form-control" placeholder="Masukkan Judul Skripsi / Tugas Akhir Dalam Bahasa Indonesia" required>
              <label for="bukti_skripsi">File Skripsi Yang Sudah ditandatangani (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
              <input type="file" name="bukti_skripsi" id="bukti_skripsi" class="form-control" required>
              <label for="bukti_kkn">File Sertifikat KKN (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
              <input type="file" name="bukti_kkn" id="bukti_kkn" class="form-control" required>
              <label for="bukti_spp">Bukti SPP Terakhir (*File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
              <input type="file" name="bukti_spp" id="bukti_spp" class="form-control" required>
              <label for="bukti_toefl">File Sertifikat TOEFL/CBEPT (*Opsional, File Bertentuk PDF, Dan Ukuran Maksimal file :4Mb)</label>
              <input type="file" name="bukti_toefl" id="bukti_toefl" class="form-control">
            </div>
          </div>
          <div class="row">
            <div class="col py-3">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
          </div>
      </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
