<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>{{ $title }}</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('/')}}plugins/fontawesome-free/css/all.min.css">
  <!-- Date Range Picker -->
  <link rel="stylesheet" href="{{asset('/')}}plugins/daterangepicker/daterangepicker.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('/')}}plugins/select2/css/select2.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('/')}}dist/css/adminlte.min.css">
  @stack('css')
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('laman-awal')}}" class="brand-link">
      <img src="{{asset('/')}}dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">PINTU</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-header">LAYANAN AKADEMIK</li>
          <li class="nav-item">
            <a href="{{ route('layanan-dpudpa.tambah') }}" class="nav-link {{ Request::is('layanan-dpudpa/tambah') ? 'active' : '' }}">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Pengajuan DPU / DPA
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-sempro.tambah') }}" class="nav-link {{ Request::is('layanan-sempro/tambah') ? 'active' : '' }}">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Pengajuan Seminar Proposal
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-sidangakhir.tambah') }}" class="nav-link {{ Request::is('layanan-sidangakhir/tambah') ? 'active' : '' }}">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Pengajuan Sidang Akhir
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-revisipublikasi.tambah') }}" class="nav-link {{ Request::is('layanan-revisipublikasi/tambah') ? 'active' : '' }}">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Pengajuan Publikasi / Revisi
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-pemutihan.tambah') }}" class="nav-link {{ Request::is('pemutihan/tambah') ? 'active' : '' }}">
              <i class="nav-icon fas fa-chalkboard-teacher"></i>
              <p>
                Pemutihan Kelas
              </p>
            </a>
          </li>
          <li class="nav-header text-bold mt-2">LAYANAN WISUDA</li>
            <li class="nav-item">
              <a href="{{ route('layanan-wisuda.tambah') }}" class="nav-link {{ Request::is('layanan-wisuda/tambah') ? 'active' : '' }}">
                <i class="nav-icon fas fa-user-graduate"></i>
                <p>
                  Pengajuan Syarat Wisuda
                </p>
              </a>
            </li>
          </li>
          <li class="nav-header text-bold mt-2">LAYANAN UMUM / PERLENGKAPAN</li>
            <li class="nav-item">
              <a href="{{ route('layanan-aduan.tambah') }}" class="nav-link {{ Request::is('layanan-aduan/tambah') ? 'active' : '' }}">
                <i class="nav-icon fas fa-warehouse"></i>
                <p>
                  Pengajuan Aduan
                </p>
              </a>
            </li>
          </li>
          <li class="nav-header text-bold mt-2">Monitoring</li>
          <li class="nav-item">
            <a href="{{ route('monitoring.index') }}" class="nav-link {{ Request::is('monitoring') ? 'active' : '' }}">
              <i class="nav-icon fas fa-search"></i>
              <p>
                Monitoring CaseID
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('monitoring.pemutihan') }}" class="nav-link {{ Request::is('monitoring/pemutihan') ? 'active' : '' }}">
              <i class="nav-icon fas fa-search"></i>
              <p>
                Monitoring Pemutihan
              </p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{ $title }}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item">Layanan</li>
              <li class="breadcrumb-item active">{{ $title }}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    @yield('content')
  </div>
  <!-- /.content-wrapper -->
  @include('layout.navbars.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{asset('/')}}plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="{{asset('/')}}plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Select2 -->
<script src="{{asset('/')}}plugins/select2/js/select2.full.min.js"></script>
<!-- Date Range Picker -->
<script src="{{asset('/')}}plugins/daterangepicker/daterangepicker.js"></script>
<!-- AdminLTE App -->
<script src="{{asset('/')}}dist/js/adminlte.min.js"></script>
<!-- Page specific script -->
<script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()
  });
</script>
@stack('js')
</body>
</html>
