
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="{{ asset('/') }}dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">PINTU</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('/') }}dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">{{ Auth::user()->nama_depan }} {{ Auth::user()->nama_belakang }}</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item">
            <a href="{{ route('admin.dashboard') }}" class="nav-link {{ Request::is('admin') ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
              </p>
            </a>
          </li>
          @hasanyrole('Super Administrator|Operator Akademik')
          <li class="nav-header text-bold">LAYANAN AKADEMIK</li>
          <li class="nav-item">
            <a href="{{ route('layanan-pemutihan.index') }}" class="nav-link {{ Request::is('admin/layanan-pemutihan') ? 'active' : '' }}">
              <i class="nav-icon fas fa-chalkboard-teacher"></i>
              <p>
                Pengajuan Pemutihan
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-dpudpa.index') }}" class="nav-link {{ Request::is('admin/layanan-dpudpa') ? 'active' : '' }}">
              <i class="nav-icon fas fa-book"></i>
              <p>
                Pengajuan DPU / DPA
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-sempro.index') }}" class="nav-link {{ Request::is('admin/layanan-sempro') ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Pengajuan Seminar Proposal
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-sidangakhir.index') }}" class="nav-link {{ Request::is('admin/layanan-sidangakhir') ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Pengajuan Sidang Akhir
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-revisipublikasi.index') }}" class="nav-link {{ Request::is('admin/layanan-revisipublikasi') ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Pengajuan Publikasi / Revisi
              </p>
            </a>
          </li>
          <li class="nav-header text-bold mt-2">LAYANAN WISUDA</li>
          <li class="nav-item">
            <a href="{{ route('layanan-wisuda.index') }}" class="nav-link {{ Request::is('admin/layanan-wisuda') ? 'active' : '' }}">
              <i class="nav-icon fas fa-user-graduate"></i>
              <p>
                Pengajuan Wisuda
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('layanan-wisuda.resend') }}" class="nav-link {{ Request::is('admin/layanan-wisuda/resend') ? 'active' : '' }}">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Kirim Ulang Email
              </p>
            </a>
          </li>
          @endhasanyrole
          
          
          <li class="nav-header text-bold mt-2">LAYANAN UMUM / Perlengkapan</li>
          <li class="nav-item">
            <a href="{{ route('layanan-aduan.index') }}" class="nav-link {{ Request::is('admin/layanan-aduan') ? 'active' : '' }}">
              <i class="nav-icon fas fa-warehouse"></i>
              <p>
                Aduan Umum & Perlengkapan
              </p>
            </a>
          </li>
          <li class="nav-header text-bold mt-2">ADMINISTRASI</li>
          <li class="nav-item">
            <a href="{{ route('users.index') }}" class="nav-link {{ Request::is('admin/users') ? 'active' : '' }}">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Manajemen User
              </p>
            </a>
          </li>
          @role('Super Administrator')
          <li class="nav-item">
            <a href="{{ route('users-roles.index') }}" class="nav-link {{ Request::is('admin/user_roles') ? 'active' : '' }}">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Manajemen Role User
              </p>
            </a>
          </li>
          @endrole
          <li class="nav-item">
            <a href="{{ route('mahasiswa.index') }}" class="nav-link {{ Request::is('admin/mahasiswa') ? 'active' : '' }}">
              <i class="nav-icon fas fa-user-graduate"></i>
              <p>
                Manajemen Mahasiswa
              </p>
            </a>
          </li>
        </ul>

        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-header">Lainnya</li>
          <li class="nav-item">
            <a href="{{ route('admin.logout') }}" class="nav-link">
              <i class="nav-icon fas fa-power-off"></i>
              <p>
                Logout
              </p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>
