<!-- Extend Layout -->
@extends('layout.app_guest',['title' => 'Monitoring'])
@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default">
      <div class="card-header">
        <h3 class="card-title">{{ $title }}</h3>
      </div>
      <!-- /.card-header -->
      <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
              <ul>
                @foreach ($errors->all() as $error )
                  <li>{{ $error }}</li>
                @endforeach
              </ul>
            </div>
          @endif
          @if(session('success'))
          <div class="alert alert-success">
            <ul>
                <li>{{ session('success') }}</li>
            </ul>
          </div>
          @endif
          @if(session('error'))
          <div class="alert alert-danger">
            <ul>
                <li>{{ session('error') }}</li>
            </ul>
          </div>
          @endif
        <form action="{{ route('monitoring.search') }}" method="post">
            @csrf
            <label for="caseid">CASEID :</label>
            <input type="text" name="caseid" id="caseid" class="form-control" placeholder="Masukkan CaseID Anda....">
            <div class="float-right mt-4">
                 <button type="submit" class="btn btn-success">Cari</button>
            </div>
        </form>
      </div>
    </div>
    <!-- /.card -->
  </div>
  <!-- /.container-fluid -->
</section>
<!-- /.content -->

@endsection
