<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ $title }}</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="{{asset('/')}}plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="{{asset('/')}}dist/css/adminlte.min.css?v=3.2.0">
<body class="hold-transition layout-top-nav">
    
<div class="content-wrapper">
    <div class="content-header">
        <div class="container">
            <div class="text-center">
                <h1 class="m-0"> {{ $title }}</h1>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="container">
            <div class="card card-widget widget-user">
                <div class="widget-user-header text-white" style="background: url('{{asset('/')}}dist/img/photo1.png') center center;">
                    <h5 class="widget-user-desc text-right">Monitoring</h5>
                    <h3 class="widget-user-username text-right">{{$data->caseid}}</h3>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-sm-4 border-right">
                            <div class="description-block" style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">CaseID</h5>
                                <span class="description-text">{{$data->caseid}}</span>
                            </div>
                        </div>
                    <div class="col-sm-4 border-right">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">Nama Mahasiswa</h5>
                            <span class="description-text">{{ $data->nama}}</span>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">NIM</h5>
                            <span class="description-text">{{$data->nim}}</span>
                        </div>
                    </div>
                    </div>
                </div>
                <div class="card-body">
                    @if(session('success'))
                        <div class="alert alert-success">
                            <ul>
                                <li>{{ session('success') }}</li>
                            </ul>
                        </div>
                        @endif
                        @if(session('error'))
                        <div class="alert alert-danger">
                            <ul>
                                <li>{{ session('error') }}</li>
                            </ul>
                        </div>
                    @endif
                    <label for="dosen_dpu">Status TTD Dosen Pembimbing Utama : {{$data->dosen_dpu_nama_gelar}} </label>
                    <input type="text" name="dosen_dpu" id="dosen_dpu" class="form-control" readonly 
                    value="@if($data->ttd_dpu!="-")Telah TTD Pada {{ $data->ttd_dpu }} @else Belum TTD @endif">
                    <label for="dosen_penguji1">Status TTD Dosen Penguji Utama : {{$data->dosen_penguji1_nama_gelar}} </label>
                    <input type="text" name="dosen_penguji1" id="dosen_penguji1" class="form-control" readonly 
                    value="@if($data->ttd_penguji1!="-")Telah TTD Pada {{ $data->ttd_penguji1 }} @else Belum TTD @endif">
                    <label for="dosen_penguji2">Status TTD Dosen Penguji Anggota : {{$data->dosen_penguji2_nama_gelar}} </label>
                    <input type="text" name="dosen_penguji2" id="dosen_penguji2" class="form-control" readonly 
                    value="@if($data->ttd_penguji2!="-")Telah TTD Pada {{ $data->ttd_penguji2 }} @else Belum TTD @endif">
                    <label for="judul_skripsi_id">Judul Skripsi Bahasa Indonesia :</label>
                    <input type="text" name="judul_skripsi_id" id="judul_skripsi_id" class="form-control" readonly value="{{ $data->judul_skripsi_id}}">
                    <label for="judul_jurnal">Judul Jurnal :</label>
                    <input type="text" name="judul_jurnal" id="judul_jurnal" class="form-control" readonly value="{{ $data->judul_jurnal}}">
                    <label for="judul_artikel">Judul Artiekl :</label>
                    <input type="text" name="judul_artikel" id="judul_artikel" class="form-control" readonly value="{{ $data->judul_artikel}}">
                    <div class="mt-2">
                        <label for="cetak">Cetak PDF Surat Pernyataan :</label>
                        <a href="{{ route('layanan-revisipublikasi.cetak',['caseid'=>$data->caseid]) }}" class="btn btn-success" target="_blank">Klik Disini Untuk Cetak PDF</a>
                    </div>
                    
                </div>
                    
            </div>
        </div>
    </div>
</div>


@include('layout.navbars.footer')
</div>



<script src="{{asset('/')}}plugins/jquery/jquery.min.js"></script>

<script src="{{asset('/')}}plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

<script src="{{asset('/')}}dist/js/adminlte.min.js?v=3.2.0"></script>

</body>
</html>
