<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ $title }}</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <link rel="stylesheet" href="{{asset('/')}}plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="{{asset('/')}}dist/css/adminlte.min.css?v=3.2.0">
<body class="hold-transition layout-top-nav">
    
<div class="content-wrapper">
    <div class="content-header">
        <div class="container">
            <div class="text-center">
                <h1 class="m-0"> {{ $title }}</h1>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="container">
            <div class="card card-widget widget-user">
                <div class="widget-user-header text-white" style="background: url('{{asset('/')}}dist/img/photo1.png') center center;">
                    <h5 class="widget-user-desc text-right">Monitoring</h5>
                    <h3 class="widget-user-username text-right">{{$data->caseid}}</h3>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-sm-4 border-right">
                            <div class="description-block" style="margin-top: 0px; overflow: hidden;">
                                <h5 class="description-header">CaseID</h5>
                                <span class="description-text">{{$data->caseid}}</span>
                            </div>
                        </div>
                    <div class="col-sm-4 border-right">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">Nama Mahasiswa</h5>
                            <span class="description-text">{{ $data->nama}}</span>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="description-block"  style="margin-top: 0px; overflow: hidden;">
                            <h5 class="description-header">NIM</h5>
                            <span class="description-text">{{$data->nim}}</span>
                        </div>
                    </div>
                    </div>
                </div>
                <div class="card-body">
                    @if(session('success'))
                        <div class="alert alert-success">
                            <ul>
                                <li>{{ session('success') }}</li>
                            </ul>
                        </div>
                        @endif
                        @if(session('error'))
                        <div class="alert alert-danger">
                            <ul>
                                <li>{{ session('error') }}</li>
                            </ul>
                        </div>
                    @endif
                    <div class="row">
                        <div class="col">
                            <label for="judul_skripsi_id">Judul Skripsi :</label>
                            <input type="text" name="judul_skripsi_id" id="judul_skripsi_id" class="form-control" readonly value="{{ $data->judul_skripsi_id}}">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="dosen_dpu">Status TTD Dosen Pembimbing Utama : <br>{{$data->dosen_dpu_nama_gelar}} </label>
                            <input type="text" name="dosen_dpu" id="dosen_dpu" class="form-control" readonly 
                            value="@if($data->ttd_dpu!="-")Telah TTD Pada {{ $data->ttd_dpu }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="dosen_dpa">Status TTD Dosen Pembimbing Anggota : <br>{{$data->dosen_dpa_nama_gelar}}</label>
                            <input type="text" name="dosen_dpa" id="dosen_dpa" class="form-control" readonly 
                            value="@if($data->ttd_dpa!="-")Telah TTD Pada {{ $data->ttd_dpa }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="dosen_penguji1">Status TTD Dosen Penguji Utama : <br>{{$data->dosen_penguji1_nama_gelar}} </label>
                            <input type="text" name="dosen_penguji1" id="dosen_penguji1" class="form-control" readonly 
                            value="@if($data->ttd_penguji1!="-")Telah TTD Pada {{ $data->ttd_penguji1 }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="dosen_penguji2">Status TTD Dosen Penguji Anggota : <br>{{$data->dosen_penguji2_nama_gelar}} </label>
                            <input type="text" name="dosen_penguji2" id="dosen_penguji2" class="form-control" readonly 
                            value="@if($data->ttd_penguji2!="-")Telah TTD Pada {{ $data->ttd_penguji2 }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_kalab_farmasi_klinik_dan_komunitas">Status TTD Kalab Farmasi Klinik Dan Komunitas :</label>
                            <input type="text" name="ttd_kalab_farmasi_klinik_dan_komunitas" id="ttd_kalab_farmasi_klinik_dan_komunitas" class="form-control" readonly 
                            value="@if($data->ttd_kalab_farmasi_klinik_dan_komunitas!="-")Telah TTD Pada {{ $data->ttd_kalab_farmasi_klinik_dan_komunitas }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="ttd_kalab_farmakologi_dan_hewan_coba">Status TTD Kalab Farmakologi dan Hewan Coba :</label>
                            <input type="text" name="ttd_kalab_farmakologi_dan_hewan_coba" id="ttd_kalab_farmakologi_dan_hewan_coba" class="form-control" readonly 
                            value="@if($data->ttd_kalab_farmakologi_dan_hewan_coba!="-")Telah TTD Pada {{ $data->ttd_kalab_farmakologi_dan_hewan_coba }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_kalab_farmakognosi_dan_fitokimia">Status TTD Kalab Farmakognosi dan Fitokimia :</label>
                            <input type="text" name="ttd_kalab_farmakognosi_dan_fitokimia" id="ttd_kalab_farmakognosi_dan_fitokimia" class="form-control" readonly 
                            value="@if($data->ttd_kalab_farmakognosi_dan_fitokimia!="-")Telah TTD Pada {{ $data->ttd_kalab_farmakognosi_dan_fitokimia }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi">Status TTD Kalab Mikrobiologi dan Bioteknologi Farmasi :</label>
                            <input type="text" name="ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi" id="ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi" class="form-control" readonly 
                            value="@if($data->ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi!="-")Telah TTD Pada {{ $data->ttd_kalab_mikrobiologi_dan_bioteknologi_farmasi }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_kalab_farmasetika">Status TTD Kalab Farmasetika :</label>
                            <input type="text" name="ttd_kalab_farmasetika" id="ttd_kalab_farmasetika" class="form-control" readonly 
                            value="@if($data->ttd_kalab_farmasetika!="-")Telah TTD Pada {{ $data->ttd_kalab_farmasetika }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="ttd_kalab_teknologi_farmasi">Status TTD Kalab Teknologi Farmasi :</label>
                            <input type="text" name="ttd_kalab_teknologi_farmasi" id="ttd_kalab_teknologi_farmasi" class="form-control" readonly 
                            value="@if($data->ttd_kalab_teknologi_farmasi!="-")Telah TTD Pada {{ $data->ttd_kalab_teknologi_farmasi }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_kalab_kimia_analisis">Status TTD Kalab Kimia Analisis :</label>
                            <input type="text" name="ttd_kalab_kimia_analisis" id="ttd_kalab_kimia_analisis" class="form-control" readonly 
                            value="@if($data->ttd_kalab_kimia_analisis!="-")Telah TTD Pada {{ $data->ttd_kalab_kimia_analisis }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="ttd_kalab_kimia_medisinal">Status TTD Kalab Kimia Medisinal :</label>
                            <input type="text" name="ttd_kalab_kimia_medisinal" id="ttd_kalab_kimia_medisinal" class="form-control" readonly 
                            value="@if($data->ttd_kalab_kimia_medisinal!="-")Telah TTD Pada {{ $data->ttd_kalab_kimia_medisinal }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_ruang_baca">Status TTD Pj. Ruang Baca / Perpustakaan :</label>
                            <input type="text" name="ttd_ruang_baca" id="ttd_ruang_baca" class="form-control" readonly 
                            value="@if($data->ttd_ruang_baca!="-")Telah TTD Pada {{ $data->ttd_ruang_baca }} @else Belum TTD @endif">
                        </div>
                        <div class="col">
                            <label for="ttd_skpi">Status TTD Pj. SKPI :</label>
                            <input type="text" name="ttd_skpi" id="ttd_skpi" class="form-control" readonly 
                            value="@if($data->ttd_skpi!="-")Telah TTD Pada {{ $data->ttd_skpi }} @else Belum TTD @endif">
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <label for="ttd_wakil_dekan_1">Status TTD Wakil Dekan 1 :</label>
                            <input type="text" name="ttd_wakil_dekan_1" id="ttd_wakil_dekan_1" class="form-control" readonly 
                            value="@if($data->ttd_wakil_dekan_1!="-")Telah TTD Pada {{ $data->ttd_wakil_dekan_1 }} @else Belum TTD @endif">
                        </div>
                    </div>
                    
                    <div class="mt-2">
                        <label for="cetak">Cetak PDF Surat Pernyataan :</label>
                        <a href="{{ route('layanan-wisuda.cetak',['caseid'=>$data->caseid]) }}" class="btn btn-success" target="_blank">Klik Disini Untuk Cetak PDF</a>
                    </div>
                    
                </div>
                    
            </div>
        </div>
    </div>
</div>


@include('layout.navbars.footer')
</div>



<script src="{{asset('/')}}plugins/jquery/jquery.min.js"></script>

<script src="{{asset('/')}}plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

<script src="{{asset('/')}}dist/js/adminlte.min.js?v=3.2.0"></script>

</body>
</html>
